extends Node

export var Duration = 7.5

func ConfusionRoutine(player, delta):		
	var elapsed = delta
	var inputs = player.baseInputs + []
	inputs.shuffle()
	player.inputs = inputs
	while elapsed < Duration:
		player.get_node("ConfusionStars").visible = true
		elapsed += yield()
	player.inputs = player.baseInputs
	player.get_node("ConfusionStars").visible = false

func StartEffect(player):
	var rout = ConfusionRoutine(player, 0)
	return rout	
